%define api		1.0
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define giname		%mklibname gtkvnc-gir %{api}
%define develname	%mklibname -d %{name} %{api}

%define gtk3_api	2.0
%define gtk3_major	0
%define gtk3_libname	%mklibname %{name} %{gtk3_api} %{gtk3_major}
%define gtk3_giname	%mklibname gtkvnc-gir %{gtk3_api}
%define gtk3_develname	%mklibname -d %{name} %{gtk3_api}

%define gvnc_api	1.0
%define gvnc_major	0
%define gvnc_libname	%mklibname gvnc %{gvnc_api} %{gvnc_major}
%define gvnc_giname	%mklibname gvnc-gir %{gvnc_api}
%define gvnc_develname	%mklibname -d gvnc %{gvnc_api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A VNC viewer widget for GTK
Name:		gtk-vnc
Version:	0.5.0
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gtk-vnc-0.3.10-new-xulrunner.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		http://gtk-vnc.sourceforge.net/
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	libgnutls-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	xulrunner-devel
BuildRequires:	libview-devel
BuildRequires:	libsasl-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	perl-Text-CSV
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	vala-tools
BuildRequires:	gettext-devel

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package i18n
Summary:	A VNC viewer widget for GTK
Group:		System/Libraries
Obsoletes:	%{name}-common < 0.4.4

%description i18n
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

This package contains translations used by gtk-vnc

%package -n %{libname}
Summary:	A VNC viewer widget for GTK
Group:		System/Libraries

%description -n %{libname}
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package -n %{giname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{giname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	A VNC viewer widget for GTK
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}

%description -n %{develname}
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package -n %{gtk3_libname}
Summary:	A VNC viewer widget for GTK3
Group:		System/Libraries

%description -n %{gtk3_libname}
Runtime library for the GTK+ 3.x VNC widget.

%package -n %{gtk3_giname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{gtk3_libname} = %{version}-%{release}

%description -n %{gtk3_giname}
GObject Introspection interface library for %{name}.

%package -n %{gtk3_develname}
Summary:	Headers and development library for gtk3-vnc
Group:		Development/C
Requires:	%{gtk3_libname} = %{version}-%{release}
Provides:	lib%{name}%{gtk3_api}-devel = %{version}-%{release}

%description -n %{gtk3_develname}
Development support for the GTK+ 3.x VNC widget.

%package -n %{gvnc_libname}
Summary:	Core library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Conflicts:	%{libname} < 0.4.3-2

%description -n %{gvnc_libname}
Runtime core library for %{name}.

%package -n %{gvnc_giname}
Summary:	GObject Introspection interface library for gvnc
Group:		System/Libraries
Requires:	%{gvnc_libname} = %{version}-%{release}

%description -n %{gvnc_giname}
GObject Introspection interface library for gvnc.

%package -n %{gvnc_develname}
Summary:	Header files for core library of %{name}
Group:		Development/C
Requires:	%{gvnc_libname} = %{version}-%{release}
Provides:	libgvnc%{gvnc_api}-devel = %{version}-%{release}

%description -n %{gvnc_develname}
Development files for core library of %{name}.

%package -n python-%{name}
Summary:	A VNC viewer widget for Python/GTK
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package -n mozilla-gtk-vnc
Group:		Networking/Remote access
Summary:	A VNC viewer widget for Mozilla browsers
Requires:	%{libname} >= %{version}

%description -n mozilla-gtk-vnc
gtk-vnc is a VNC viewer widget for GTK. This is a VNC viewer plugin
for Mozilla Firefox and other browsers based on gtk-vnc.

%prep
%setup -q -c

pushd %{name}-%{version}
%patch1 -p1 -b .xulrunner
popd

cp -a %{name}-%{version} %{name}-gtk2-%{version}

%build
pushd %{name}-%{version}
	autoreconf -vfi
	%configure2_5x \
		--disable-static \
		--with-examples \
		--disable-plugin \
		--with-gtk=3.0
	%make
popd

pushd %{name}-gtk2-%{version}
	autoreconf -vfi
	%configure2_5x \
        	--disable-static \
        	--with-examples \
        	--enable-plugin \
        	--with-gtk=2.0
	%make
popd

%install
rm -rf %buildroot

pushd %{name}-%{version}
	%makeinstall_std
popd

pushd %{name}-gtk2-%{version}
	%makeinstall_std
popd

find %{buildroot} -name *.la -delete

# for docs
cp %{name}-%{version}/{README,NEWS,AUTHORS,ChangeLog} .

%find_lang %{name}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/gvnccapture
%{_bindir}/gvncviewer
%{_mandir}/man1/gvnccapture.1*

%files -n mozilla-gtk-vnc
%defattr(-,root,root)
%{_libdir}/mozilla/plugins/gtk-vnc-plugin.so

%files -n %{gvnc_libname}
%defattr(-,root,root)
%doc README NEWS AUTHORS
%{_libdir}/libgvnc-%{api}.so.%{major}*

%files -n %{gvnc_giname}
%{_libdir}/girepository-1.0/GVnc-%{api}.typelib

%files -n %{gvnc_develname}
%{_libdir}/libgvnc-%{api}.so
%{_libdir}/pkgconfig/gvnc-%{api}.pc
%{_includedir}/gvnc-%{api}
%{_datadir}/gir-1.0/GVnc-%{api}.gir
%{_datadir}/vala/vapi/gvnc-%{api}.vapi

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgtk-vnc-%{api}.so.%{major}*

%files -n %{giname}
%{_libdir}/girepository-1.0/GtkVnc-%{api}.typelib

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/libgtk-vnc-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/gir-1.0/GtkVnc-%{api}.gir

%files -n %{gtk3_libname}
%{_libdir}/libgtk-vnc-%{gtk3_api}.so.%{gtk3_major}*

%files -n %{gtk3_giname}
%{_libdir}/girepository-1.0/GtkVnc-%{gtk3_api}.typelib

%files -n %{gtk3_develname}
%{_libdir}/libgtk-vnc-%{gtk3_api}.so
%{_includedir}/%{name}-%{gtk3_api}
%{_libdir}/pkgconfig/%{name}-%{gtk3_api}.pc
%{_datadir}/gir-1.0/GtkVnc-%{gtk3_api}.gir
%{_datadir}/vala/vapi/gtk-vnc-%{gtk3_api}.deps
%{_datadir}/vala/vapi/gtk-vnc-%{gtk3_api}.vapi

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/gtkvnc.so

%files i18n -f %{name}.lang
%defattr(-,root,root)


%changelog

* Thu Dec 22 2011 wally <wally> 0.5.0-1.mga2
+ Revision: 186006
- new version 0.5.0

* Fri Nov 11 2011 wally <wally> 0.4.4-1.mga2
+ Revision: 166712
- new version 0.4.4
- rediff P1
- rename common pkg to i18n
- clean .spec a bit

  + fwang <fwang>
    - build gtk2 flavour
    - rebuild with new gnutls, and turn to gtk3 flavour

* Sat Jul 09 2011 cjw <cjw> 0.4.3-5.mga2
+ Revision: 121237
- put gobject introspection typelib files in separate subpackages
- rebuild for automatic typelib provides and deps

* Tue Jul 05 2011 cjw <cjw> 0.4.3-4.mga2
+ Revision: 119002
- drop libtool libraries to fix vinagre build

* Thu Jun 23 2011 ze <ze> 0.4.3-3.mga2
+ Revision: 112571
- add missing buildrequire libgcrypt-devel
- add missing conflict (upgrade broke)

* Sun Jun 19 2011 cjw <cjw> 0.4.3-2.mga2
+ Revision: 110104
- put libgvnc in a separate package so the gtk3 lib doesn't pull in the gtk2 lib
- also build a gtk3 version

* Fri Feb 25 2011 ennael <ennael> 0.4.3-1.mga1
+ Revision: 59397
- imported package gtk-vnc


* Fri Feb 18 2011 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdv2011.0
+ Revision: 638615
- update to new version 0.4.3

* Fri Nov 05 2010 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 593732
- update build deps
- new version

* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 0.4.1-5mdv2011.0
+ Revision: 593332
- rebuild for new python 2.7

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.4.1-4mdv2011.0
+ Revision: 578943
- rebuild for new gobject-introspection

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.4.1-3mdv2011.0
+ Revision: 565040
- rebuild

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.4.1-2mdv2011.0
+ Revision: 563305
- rebuild for new gobject-introspection

* Fri Jul 16 2010 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 554367
- update to new version 0.4.1

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 551172
- new version
- drop patches 0, 101, 102
- update file list
- enable introspection support

* Thu Apr 29 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.10-3mdv2010.1
+ Revision: 540999
- Sync patches with Fedora:
  * Drop VNC connection if the server sends a update spaning outside
   bounds of desktop (rhbz #540810, Mandriva bug #58981)
  * Fix gcrypt threading initialization (rhbz #537489)

* Tue Jan 05 2010 Götz Waschk <waschk@mandriva.org> 0.3.10-2mdv2010.1
+ Revision: 486376
- fix build with new xulrunner

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.10-1mdv2010.0
+ Revision: 458934
- Fix BR
- Release 0.3.10
- Patch0 (GIT): fix build
- add source1: add missing header from xulrunner
- Put translation in a separate subpackage

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2010.0
+ Revision: 414886
- update build deps
- new version
- fix source URL
- drop patch

  + Christophe Fergeau <cfergeau@mandriva.com>
    - make sure autoreconf installs new libtool files to avoid libtool 1.5/2.2 clashes

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 319858
- rebuild for new python

* Sun Dec 07 2008 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 311659
- new version
- drop patches
- fix build

* Fri Nov 28 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-6mdv2009.1
+ Revision: 307364
- build with libview

* Thu Nov 27 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-5mdv2009.1
+ Revision: 307258
- fix build
- disable gtkglext again

* Fri Nov 21 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-4mdv2009.1
+ Revision: 305446
- build with gl

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.7-3mdv2009.1
+ Revision: 301535
- rebuilt against new libxcb

* Tue Nov 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.7-2mdv2009.1
+ Revision: 299919
- Sync with Fedora patches
  * Fix mouse pointer ungrabbing in virt-manager when using virtual
    machines running Windows
  * Fix keyboard scancode translation if using evdev driver
  * Avoid bogus framebuffer updates for psuedo-encodings

* Sun Sep 07 2008 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 282150
- new version
- build with xulrunner

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 201799
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 192390
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 161915
- new version
- add example client and mozilla plugin

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.3.2-2mdv2008.1
+ Revision: 156409
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 31 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 139791
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 119413
- new version

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 118021
- new version

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 85475
- new version

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 84071
- Import gtk-vnc



* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2008.0
- initial package
